OpenAPI operations
Purge event history
const url = 'https://api.hooks.events/v1/events';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.hooks.events/v1/events \ --header 'Authorization: Bearer <token>'Requires the history:purge scope.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
object
Example generated
{ "ok": true}Validation error
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Missing or invalid credentials
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}The credential lacks the required scope, or the workspace is not writable
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Rate limited
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Headers
Section titled “Headers”Requests allowed per window
Seconds until the window resets
Seconds to wait before retrying. Absent when the rejection has no retry time (for example the Free lifetime quota).
Request allowance for the workspace’s plan
Requests left in the allowance after this request